<?php 
    // THUMB VARIABLES
    $wprpl_images = '';
    if (!empty($group[$prefix .'image_item'])) {
        $wprpl_images = $group[$prefix .'image_item']; 
    }
    
    //$prefix .'circle'
    $wprpl_enableCircle = rwmb_meta( $prefix .'circle' );
        
?>
<div id="wprpl_display">

    <?php 
    if ( $itemRow == 'category_title' ) { ?>
        <h3 class="wprpl_categoryTitle"><?php echo $catTitle; ?></h3>
</div>
    <?php } else { ?>

	<div class="wprpl_row <?php if ( $itemRow == 'multiple_price' ) { echo 'wprpl_row_var'; } ?>">
		<div class="wprpl_img">
    		<?php 
        		if ( !empty( $wprpl_images ) ) {
            		foreach ( $wprpl_images as $wprpl_image ) {
            			$image = RWMB_Image_Field::file_info( $wprpl_image, ['size' => 'thumbnail'] ); ?>
            		<img <?php if ( $wprpl_enableCircle ) { ?> class="circle" <?php } ?> src="<?php echo $image['url']; ?>" >
        	<?php 
            	    }
            	} 
            ?>
    		
		</div>

		<div class="wprpl_item">
			<span class="wprpl_title"><?php echo $item; ?></span>
			<br>
			<?php
                if($ingredients) { ?>
                    <span class="wprpl_descr"><?php echo $ingredients; ?></span>
             <?php } 

            $allergensList = '';
            if(!empty($group[$prefix .'allergensList']) ) {
                $allergensList = $group[$prefix .'allergensList'];
            }

            if ( $allergensList ) {

            ?>

            <div class="allergens">
                <span class="title-allergens"><?php _e('Allergens:', 'wprpl'); ?> </span>
                <?php foreach ($allergensList as $key => $allergenList) {
                    echo "<span class='item'>". $allergenList ."</span>";
                } ?>
            </div>

            <?php } ?>
		</div>
		<?php
            if ( $itemRow == 'multiple_price' ) { 
                    foreach ( $varPrices as $varPrice ) {
                ?>
                    <div class="wprpl_rowVar">
                        <div class="wprpl_varName">
                            <span><?php echo $varPrice['varItem']; ?></span>
                        </div>

                        <div class="wprpl_varPrice">
                            <?php if($cur_position == 'left') { ?>
                                <span class="wprpl_currency"><?php echo $currency; ?></span>
                                <span class="wprpl_numb"><?php echo $varPrice['varPrice']; ?></span>
                            <?php } else { ?>
                                <span class="wprpl_numb"><?php echo $varPrice['varPrice']; ?></span>
                                <span class="wprpl_currency"><?php echo $currency; ?></span>
                            <?php } ?>
                        </div>
                    </div>

            <?php   } // foreach

            } else { // if multiple_price
                if( $price ) { ?>
                    <div class="wprpl_price">
                        <?php
                        if($cur_position == 'left') { ?>
                            <span class="wprpl_currency"><?php echo $currency; ?></span>
                            <?php echo $showPrice;
                                  } else {
                                    echo $showPrice; ?>
                                <span class="wprpl_currency"><?php echo $currency; ?></span>
                            <?php } ?>
                                
                    </div>
                <?php }  // $price
            } // if multiple_price 
        ?>

	</div>
</div>

<?php } // if category_title  ?>